package de.fhkoeln.fb10.ala.puzzle.domain;
/*
 * Created on 30.11.2005
 */

/**
 * @author Sanjay, Nils
 */
public class PositionImpl implements Position {

	private int mColumn;
	private int mRow;
	
	public PositionImpl(int aLine, int aRow) {
		this.mColumn = aLine;
		this.mRow = aRow;
	}

	/* (non-Javadoc)
	 * @see IPosition#getLine()
	 */
	public int getColumn() {
		return this.mColumn;
	}

	/* (non-Javadoc)
	 * @see IPosition#geRow()
	 */
	public int getRow() {
		return this.mRow;
	}

	/* (non-Javadoc)
	 * @see IPosition#setLine(int)
	 */
	public void setColumn(int aLine) {
		this.mColumn = aLine;
	}

	/* (non-Javadoc)
	 * @see IPosition#setRow(int)
	 */
	public void setRow(int aRow) {
		this.mRow = aRow;
	}

	/* (non-Javadoc)
	 * @see puzzle.IPosition#distance(puzzle.IPosition)
	 */
	public int distance(Position aPos) {
		return Math.abs(this.mColumn - aPos.getColumn()) + Math.abs(this.mRow - aPos.getRow());	
	}

	/* (non-Javadoc)
	 * @see puzzle.IPosition#distance(int, int)
	 */
	public int distance(int aColumn, int aRow) {
		return Math.abs(this.mColumn - aColumn) + Math.abs(this.mRow - aRow);	
	}
}
