package de.fhkoeln.fb10.ala.puzzle.ui;

import java.awt.event.ActionEvent;
import java.util.List;

import javax.swing.AbstractAction;

import de.fhkoeln.fb10.ala.puzzle.domain.PuzzleSolver;

public class SolveAction extends AbstractAction {

	private static final long serialVersionUID = -2903707571221565343L;

	PuzzlePane puzzlePane;
	PuzzleSolver solver;
	
	public void actionPerformed(ActionEvent arg0) {
		List<Integer> steps = solver.solve();
		for (Integer cur : steps) {
			CellPane cell = puzzlePane.getCellPanes().get(cur);
			puzzlePane.moveCell(cell);
		}
	}

	public PuzzlePane getPuzzlePane() {
		return puzzlePane;
	}

	public void setPuzzlePane(PuzzlePane puzzlePane) {
		this.puzzlePane = puzzlePane;
	}

	public PuzzleSolver getSolver() {
		return solver;
	}

	public void setSolver(PuzzleSolver solver) {
		this.solver = solver;
	}

}
